function h=firwin(N,F0,wd)
%FIRWIN Berkning av kausalt FIR-filter av LP-typ med fnstermetoden.
%
%    h = FIRWIN(L,theta_c,typ) - L r reellt heltal, theta_c r reellt tal och
%                              typ r en text.
%    
%    Beskrivning:
%    Berknar impulssvaret fr ett FIR-filter av lngd L genom att utg frn 
%    ett idealt LP-filter med normerad grnsfrekvens theta_c och sedan fnstra 
%    detta. Fnstertypen anges med textstrngen typ, vilken skall omges av 
%    apostrofer. Tillgngliga fnstertyper finns i beskrivningen av kommandot 
%    window. Fnstringen sker symmetriskt runt n = (L-1)/2.
%    
%    Example:
%    h = firwin(21,0.2,'hann');
%    
%    See also:
%    WINDOW
%    

global pm1 pm2 pm3 pm4 KlabL
if N>KlabL/2, N=KlabL/2; end
n=floor(N/2);
n=-n:n;
if length(n)~=N,
 n(1)=[];
 n=n-.5;
end
h=fir(sinc(2*F0*n)*2*F0);
if nargin==3, h=window(h,wd,N); end
